<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:global-filter-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V1.0//EN"
  "http://www.logreport.org/LRSML/1.0/lrsml.dtd">
<lire:global-filter-spec xmlns:lire="http://www.logreport.org/LRSML/"
 superservice="www" id="exclude-url">

 <lire:title>Exclude URL Filter</lire:title>
 <lire:description>
  <para>This filter specification can be used to exclude requests
   for particular URLs.
  </para>
  <para>For example, this filter could be use to create subreports
   excluding images or other multimedia file.
  </para>
 </lire:description>

<lire:param-spec>
  <lire:param name="url_match" type="string" default="\.(png|jpg|gif|jpeg)$">
   <lire:description>
    <para>This parameter contains the regular expression that will be
     used to filter out the requests. Requests made for a URL 
     matching that regexp will be excluded from the subreports.
    </para>
   </lire:description>
  </lire:param>
 </lire:param-spec>

 <lire:display-spec>
  <lire:title>excluded requests matching "$url_match"</lire:title>
 </lire:display-spec>

 <lire:filter-spec>
  <lire:not>
   <lire:match value="$requested_page" re="$url_match" case-sensitive="false"/>
  </lire:not>
 </lire:filter-spec>

</lire:global-filter-spec>
